监控与采集相关接口/Grafana 仪表盘
POSTGrafana起始版本 1.0同步需要认证
验证新增仪表盘面板
校验新面板新增已存在仪表盘布局冲突。
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
请求体字段
existingList必填现有面板列表。
示例: (nested array)
panelIdString面板ID。
示例: panel-cpu-001
xInteger面板横向坐标。
示例: 20
yInteger面板纵向坐标。
示例: 20
wInteger面板宽度。
示例: 12
hInteger面板高度。
示例: 8
newPanelsList必填新增面板列表。
示例: (nested array)
panelIdString面板ID。
示例: panel-cpu-001
xInteger面板横向坐标。
示例: 20
yInteger面板纵向坐标。
示例: 20
wInteger面板宽度。
示例: 12
hInteger面板高度。
示例: 8
maxPanelOverrideInteger必填面板数量上限覆盖值。
示例: 20
响应状态
请求地址
POST/api/v1/monitoring/dashboards/validate-add
/api/v1/monitoring/dashboards/validate-add
请求示例
curl -X POST '{host}/api/v1/monitoring/dashboards/validate-add' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"existing":"(nested array)","newPanels":"(nested array)","maxPanelOverride":20}'
响应示例
200{
"valid": true,
"errorCode": "INVALID_CONFIG",
"conflicts": [
{}
],
"boundErrors": [
{}
],
"panelCount": 6,
"maxPanels": 20,
"suggestion": "consider increasing the threshold"
}变更历史
此 API 暂无变更历史记录。
